export interface PackageJson {
    name: string;
    version: string;
    dependencies?: Record<string, string>;
    devDependencies?: Record<string, string>;
    peerDependencies?: Record<string, string>;
    optionalDependencies?: Record<string, string>;
}
export interface PackageTreeNode {
    name: string;
    version: string;
    path: string;
    package: PackageJson | undefined;
}
export declare function readPackageJson(packageJsonPath: string): Promise<PackageJson | undefined>;
export declare function findPackageJson(workspaceDir: string, packageName: string): string | undefined;
export declare function determineLanguagesUsed(packageJsonMap: Map<string, PackageTreeNode>): Promise<string[]>;
export declare function determineLanguagesWithVersionUsed(packageJsonMap: Map<string, PackageTreeNode>): Promise<string[]>;
export declare function getProjectDependencies(dir: string): Promise<Map<string, PackageTreeNode>>;
