"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const package_json_1 = require("./package-json");
describe('determineLanguagesUsed', () => {
    it('should loop through core programming languages and return array of languages used', () => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        const packageJsonMap = new Map([
            ['@angular/core', { name: '@angular/core', version: '7.0.1' }],
            ['react', { name: 'react', version: '16.7.0' }],
            ['vue', { name: 'vue', version: '15.0.0' }]
        ]);
        expect(yield (0, package_json_1.determineLanguagesUsed)(packageJsonMap)).toEqual(['angular', 'react', 'vue']);
    }));
});
describe('determineLanguageWithVersionUsed', () => {
    it('should loop through core programming languages and return array of languages used with version', () => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        const packageJsonMap = new Map([
            ['@angular/core', { name: '@angular/core', version: '7.0.1' }],
            ['react', { name: 'react', version: '16.7.9' }],
            ['vue', { name: 'vue', version: '15.0.5' }],
            ['garbage', { name: 'garbage', version: '1.2.3' }]
        ]);
        expect(yield (0, package_json_1.determineLanguagesWithVersionUsed)(packageJsonMap)).toEqual(['angular-7.0.0', 'react-16.7.0', 'vue-15.0.0']);
    }));
});
